<?xml version="1.0" encoding="UTF-8"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd" layout="2columns-right">
    <head>        
        <css src="Mirasvit_Kb::css/kb.css" />        
    </head>
    <body>
        <attribute name="class" value="kbase"/>
        <referenceBlock name="sidebar.additional" remove="true" />
        <referenceContainer name="root"/>
        <referenceContainer name="content">
            <block name="kb.search.form" class="Mirasvit\Kb\Block\Search\Form" template="Mirasvit_Kb::search/form.phtml"/>
            
            <block name="kb.search.result" class="Mirasvit\Kb\Block\Search\Result" template="Mirasvit_Kb::search/result.phtml">
                <block class="Mirasvit\Kb\Block\Article\ListArticle" name="kb.category.articles.list" as="kb.article_list" template="Mirasvit_Kb::article/list.phtml">
                    <container name="kb.category.article.list.additional" as="kb.additional" />
                    <block class="Magento\Framework\View\Element\RendererList" name="kb.category.article.type.details.renderers" as="kb.details.renderers">
                        <block class="Magento\Framework\View\Element\Template" as="kb.default"/>
                    </block>
                    <block class="Mirasvit\Kb\Block\Article\ArticleList\Toolbar" name="kb.article_list_toolbar" template="Magento_Catalog::product/list/toolbar.phtml">
                        <block class="Magento\Theme\Block\Html\Pager" name="article_list_toolbar_pager"/>
                    </block>
                    <action method="setToolbarBlockName">
                        <argument name="name" xsi:type="string">kb.article_list_toolbar</argument>
                    </action>
                </block>
            </block>
        </referenceContainer>
        <referenceContainer name="sidebar.main" htmlTag="div" htmlClass="widget kb-sidebar__categories" >
            <block name="kb.category.sidebar" class="Mirasvit\Kb\Block\Category\Sidebar" template="Mirasvit_Kb::category/sidebar.phtml"/>
        </referenceContainer>
    </body>
</page>
